Overview

This endpoint returns the group standings for a given tournament_id and stage_id.

Typical use cases:

  • Display group tables (points, matches, wins/draws/losses, goal stats)
  • Build stage dashboards (Group A/B/C…)
  • Power broadcast graphics or widgets from group rankings
GET /api.php

Parameters

module
string
Always use api.
api
string
The API name, use TournamentGroupStandings.
version
string
The API version (use V2).
lang
string
en for English, ar for Arabic.
response
string
Output format (json or xml).
key
string
The API key.
tournament_id
string
The tournament ID (example: 211).
stage_id
string
The stage ID within the tournament (example: 27).

Example Request

curl --request GET \
  --url "https://korastats.pro/pro/api.php?module=api&api=TournamentGroupStandings&version=V2&response=json&lang=en&tournament_id=211&stage_id=27&key=YOUR_API_KEY"
{
  "result": "boolean",
  "title": "string",
  "message": "string",
  "object": [
    {
      "_type": "GROUP",
      "id": "integer",
      "group": "string",
      "teams": [
        {
          "_type": "TEAM",
          "id": "integer",
          "team": "string",
          "position": "integer",
          "matches": "integer",
          "points": "integer",
          "won": "integer",
          "draw": "integer",
          "lost": "integer",
          "goals_scored": "integer",
          "goals_conceded": "integer",
          "goals_difference": "integer",
          "goals_scored_home": "integer",
          "goals_conceded_home": "integer",
          "goals_difference_home": "integer",
          "goals_scored_away": "integer",
          "goals_conceded_away": "integer",
          "goals_difference_away": "integer",
          "lastupdate": "YYYY-MM-DD HH:MM:SS"
        }
      ]
    }
  ]
}